## generic_a15-user 12 SP1A.210812.016 eng.huawei.20240722.161947 dev-keys
- Manufacturer: unknown
- Platform: kirin990
- Codename: kirin990
- Brand: kirin990
- Flavor: user
- Release Version: 12
- Kernel Version: 5.10.43
- Id: SP1A.210812.016
- Incremental: 20240722162353
- Tags: release-keys
- CPU Abilist: arm64-v8a,armeabi-v7a,armeabi
- A/B Device: false
- Treble Device: true
- Locale: en-US
- Screen Density: undefined
- Fingerprint: kirin990/kirin990/kirin990:12/SP1A.210812.016/huawei07221623:user/test-keys
- OTA version: 
- Branch: generic_a15-user-12-SP1A.210812.016-eng.huawei.20240722.161947-dev-keys
- Repo: kirin990/kirin990
